package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.Luser;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.Or;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.Alias;

import java.sql.Connection;
import java.sql.SQLException;

/**
 * Created by TT on 2017/7/13.
 */
@DAO
public interface LuserDao {

    @Or
    @Nullable
    @SelectOne
    Luser check(Connection con, @Alias({ "mobilePhone", "email" }) String key) throws SQLException;

    @Insert
    int insert(Connection con,Luser user)throws SQLException;
}
